Time tracking
Update workspace rate config
PATCH
/
{team_id}
/
time
/
tracking
/
config
Update workspace rate config
curl --request PATCH \
--url https://api.superthread.com/v1/{team_id}/time/tracking/config \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"default_rate_cents": 123,
"billable_by_default": true,
"privacy_setting": "visible_to_admins"
}
'import requests
url = "https://api.superthread.com/v1/{team_id}/time/tracking/config"
payload = {
"default_rate_cents": 123,
"billable_by_default": True,
"privacy_setting": "visible_to_admins"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
default_rate_cents: 123,
billable_by_default: true,
privacy_setting: 'visible_to_admins'
})
};
fetch('https://api.superthread.com/v1/{team_id}/time/tracking/config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"rate_config": {
"team_id": "tDsu0j19",
"default_rate_cents": 10000,
"billable_by_default": true,
"privacy_setting": "visible_to_admins"
}
}{
"error": {
"id": "err5f744ab",
"code": 403,
"sec": "SEC:000-00014",
"message": "You do not have access to this resource",
"date": 1608742037016
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Team ID is an alphanumerical string that identifies a Team. This is externally referred to as a "Workspace".
Body
application/json
Controls who can see other users' time data within the workspace.
hidden: only the entry's author can see their own entries; no aggregates exposed.aggregates_only: members see aggregated totals across all users, but not individual entries.visible_to_admins: non-admins only see their own entries; admins see everyone's entries and aggregates.visible: every member sees both aggregates and individual entries.
Available options:
hidden, aggregates_only, visible_to_admins, visible Example:
"visible_to_admins"
Response
Updated workspace rate config
Show child attributes
Show child attributes
⌘I
Update workspace rate config
